TikTok Shop

The shop's affiliate creators ranked by GMV over a date window

GET/api/public/v1/tik_tok_shop/affiliate/creators
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopAffiliateCreators

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/creators?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystringrequired
end_datequerystringrequired
scopequerystringOne of allgrowi Default all
limitqueryinteger Default 50
cursorquerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
creatorsarray of object, nullable
creators[].[].commissionEstimatednumber, nullable
creators[].[].creatorKeystring, nullable
creators[].[].creatorUsernamestring, nullable
creators[].[].gmvGrossnumber, nullable
creators[].[].itemsSoldnumber, nullable
creators[].[].lastOrderAtstring, nullable
creators[].[].ordersnumber, nullable
creators[].[].skuOrdersnumber, nullable
nextCursorstring, nullable
scopestring, nullable
sweptThroughstring, nullable
windowobject, nullable
window.endDatestring, nullable
window.startDatestring, nullable

Example

{
  "creators": [
    {
      "commissionEstimated": 125.5,
      "creatorKey": "string",
      "creatorUsername": "Example name",
      "gmvGross": 125.5,
      "itemsSold": 125.5,
      "lastOrderAt": "string",
      "orders": 125.5,
      "skuOrders": 125.5
    }
  ],
  "nextCursor": "string",
  "scope": "string",
  "sweptThrough": "string",
  "window": {
    "endDate": "string",
    "startDate": "string"
  }
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.